Summary:   XDELTA - version control system
Name:      xdelta
Version:   1.0.4
Release:   1
Group:     Development/Version Control
Copyright: GPL
Packager:  Hao Li <hli@wag.caltech.edu>
Source:    ftp://www.xcf.berkeley.edu/pub/xdelta/%{name}-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root

%description
XDELTA (`X' for XCF) is a version-control library and file-format designed as
a replacement for RCS.  The XDELTA library performs its work independently of
the actual file-format used to encode the version-file and is intended to be
used by various higher-level programs such as PRCS.

XDELTA uses a binary file-delta algorithm to replace the standard diff
program used by RCS.


%package devel
Summary:   XDELTA - static library and header files
Group:     Development/Libraries
Requires:  %{name} = %{version}

%description devel
This package contains the XDELTA static libraries and header files
required to develop XDELTA-based applications.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=/usr
make


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip
gzip -9f $RPM_BUILD_ROOT/usr/info/*.info
strip $RPM_BUILD_ROOT/usr/lib/lib*.so.*


%post   -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/info/xdelta.info.gz /usr/info/dir

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete /usr/info/xdelta.info.gz /usr/info/dir
fi


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README xdelta.magic
/usr/bin/xdelta
/usr/lib/lib*.so.*
/usr/man/man1/xdelta.1

%files devel
%defattr(-,root,root)
/usr/bin/xdelta-config
/usr/include/*
/usr/info/*
/usr/lib/lib*.a
/usr/lib/lib*.la
/usr/lib/lib*.so
/usr/share/aclocal/*


%clean
rm -rf $RPM_BUILD_ROOT
